package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageReq;
import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.YcqRollPic;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqPageRollPicDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqQueryRollPicDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqRollPicDTO;
import com.crunii.micro.service.sysmgr.api.domain.dto.YcqRollPicUrl;
import com.crunii.micro.service.sysmgr.api.domain.vo.YcqRollPicVO;
import com.crunii.micro.service.sysmgr.dto.sysmgr.AccessPageVo;

import java.util.List;

public interface YcqRollPicService {


    YcqRollPicVO queryById(Long id);

    List<AccessPageVo> getTypeList();

    PageRsp<YcqRollPicVO> pageQuery(PageReq<YcqPageRollPicDTO> pageRequest);

    Boolean insert(YcqRollPicDTO ycqRollPic, Integer loginId);

    Boolean update(YcqRollPicDTO ycqRollPic, Integer loginId);

    List<YcqRollPicUrl> queryByCondition(YcqQueryRollPicDTO ycqQueryRollPicDTO);

    YcqRollPic getYcqRollPicByType(YcqRollPicDTO ycqRollPic);
}
